/*
                 Arduino  |   ESP32  |   STM32
   --------------------------------------------
   echoPin         7      |    32    |    PA2
   --------------------------------------------
   trigPin         6      |    33    |    PA3
   --------------------------------------------

*/

// Defining the Module's Pins
#define echoPin 7
#define trigPin 6

void setup() {

  Serial.begin(9600);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);

}

void loop() {
  long duration, distance;

  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  duration = pulseIn(echoPin, HIGH);
  distance = (duration / 2) / 29.1;

  if (distance >= 200 || distance <= 0) {
    Serial.println("Outof Range");
  }
  else {
    Serial.print(distance);
    Serial.println(" cm");
  }
  delay (500);
}
