/*
                 Arduino  |   ESP32  |   STM32
   --------------------------------------------
   echoPin         7      |    32    |    PA2
   --------------------------------------------
   trigPin         6      |    33    |    PA3
   --------------------------------------------

*/

#define trig 6
#define echo 7
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 32 // OLED display height, in pixels
#define OLED_RESET     4 // Reset pin # (or -1 if sharing Arduino reset pin)
#define SCREEN_ADDRESS 0x3C ///< See datasheet for Address; 0x3D for 128x64, 0x3C for 128x32
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);
#define photocell A1
#define relay 10
void setup() {
  pinMode(trig, OUTPUT);
  pinMode(echo, INPUT);
  Serial.begin(9600);
   if(!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS)) {
    Serial.println(F("SSD1306 allocation failed"));
    for(;;); // Don't proceed, loop forever
  }
    display.clearDisplay();
  display.setTextSize(2); // Draw 2X-scale text
  display.setTextColor(SSD1306_WHITE);
}

void loop() {
  digitalWrite(trig, LOW);
  delayMicroseconds(2); // make a delay 2us
  digitalWrite(trig, HIGH);
  delayMicroseconds(10);// make a delay 10us
  digitalWrite(trig, LOW);
  

 const unsigned long duration= pulseIn(echo, HIGH);
 int distance= duration/29/2;
  display.setCursor(20,0);
  display.println("DIS= ");
  display.setCursor(80,0);
  display.println(distance);
  display.display();
  display.clearDisplay();
  delay(500);
 }
